<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        const exemples = [{ str: 'bonjour', char1: "o", char2: "O" }, { str: "hello les amis", char1: "o", char2: "z" }]

        function findNbrOccurence(strTest, charTest) {
            return strTest.toLowerCase().split(charTest.toLowerCase()).length - 1
        }
        console.log( findNbrOccurence(exemples[0].str,exemples[0].char1) + " " + findNbrOccurence(exemples[0].str,exemples[0].char2))
        console.log( findNbrOccurence(exemples[1].str,exemples[1].char1) + " " + findNbrOccurence(exemples[1].str,exemples[1].char2))
    </script>
</body>

</html>